# Changelog

## 0.3.0 (2025-05-12)

Full Changelog: [v0.2.0...v0.3.0](https://github.com/steel-dev/steel-python/compare/v0.2.0...v0.3.0)

### Features

* **api:** api update ([de03f2d](https://github.com/steel-dev/steel-python/commit/de03f2d18de91dd52b45652466a6bc9c2772a00a))


### Bug Fixes

* **package:** support direct resource imports ([6bcebb1](https://github.com/steel-dev/steel-python/commit/6bcebb13d5af14d8e6415d0d0256b22431f78e76))


### Chores

* **internal:** avoid errors for isinstance checks on proxies ([5517961](https://github.com/steel-dev/steel-python/commit/5517961f8463167e35f6e0befea81caf4d4fbfd4))

## 0.2.0 (2025-04-24)

Full Changelog: [v0.1.0...v0.2.0](https://github.com/steel-dev/steel-python/compare/v0.1.0...v0.2.0)

### Features

* **api:** api update ([48e74c7](https://github.com/steel-dev/steel-python/commit/48e74c72ffbc4b3fa291f817ebd6a846a7c85624))


### Bug Fixes

* **perf:** optimize some hot paths ([ba59e30](https://github.com/steel-dev/steel-python/commit/ba59e3019648f08568a9bb12053b4a5eb9ded30c))
* **perf:** skip traversing types for NotGiven values ([f8f5c80](https://github.com/steel-dev/steel-python/commit/f8f5c8029f1db992a52d62c14e51478467457796))
* **pydantic v1:** more robust ModelField.annotation check ([c96c43b](https://github.com/steel-dev/steel-python/commit/c96c43bb09412aaf8033ae9697c65c0142130d16))


### Chores

* broadly detect json family of content-type headers ([6b4eda4](https://github.com/steel-dev/steel-python/commit/6b4eda4ff26b75e94e067bd278fa47551ddee962))
* **ci:** add timeout thresholds for CI jobs ([253270e](https://github.com/steel-dev/steel-python/commit/253270eebeaf387959a590a53c8de53a8f2efc5d))
* **ci:** only use depot for staging repos ([01c88a5](https://github.com/steel-dev/steel-python/commit/01c88a56c6c1690bab8805a19aae7cd70c5c5a4a))
* **client:** minor internal fixes ([e00651a](https://github.com/steel-dev/steel-python/commit/e00651abf449f04eae08a670c4df90afefc6047a))
* **internal:** base client updates ([6a1038d](https://github.com/steel-dev/steel-python/commit/6a1038db1f49a8b232614452dbdeda94ee920c28))
* **internal:** bump pyright version ([e851175](https://github.com/steel-dev/steel-python/commit/e851175e65f28d0213b220fed1dee1223e7b98aa))
* **internal:** codegen related update ([f9a063f](https://github.com/steel-dev/steel-python/commit/f9a063f90bdfe70af335ea73e20b86201fd7020d))
* **internal:** expand CI branch coverage ([6bbf5f1](https://github.com/steel-dev/steel-python/commit/6bbf5f154ffc5f22e5d6c3217f52937152496fd2))
* **internal:** fix list file params ([f3e1d8c](https://github.com/steel-dev/steel-python/commit/f3e1d8c0cc3f8954444569bf15230860db265ccf))
* **internal:** import reformatting ([176a86e](https://github.com/steel-dev/steel-python/commit/176a86e0ec58118429fcad1814aaf4e7413e7b18))
* **internal:** minor formatting changes ([ca3dd6a](https://github.com/steel-dev/steel-python/commit/ca3dd6a6647618e16525f759d9757e9823fa924b))
* **internal:** reduce CI branch coverage ([1f82860](https://github.com/steel-dev/steel-python/commit/1f82860b86f11d32190c56888a72f236fde32409))
* **internal:** refactor retries to not use recursion ([df55de6](https://github.com/steel-dev/steel-python/commit/df55de6b59ca3c94a598327b6e787a3e47011d7c))
* **internal:** update models test ([2ea55a4](https://github.com/steel-dev/steel-python/commit/2ea55a4676fbac3339928f098080794648f15240))
* **internal:** update pyright settings ([8805d95](https://github.com/steel-dev/steel-python/commit/8805d955fd7c4e20c3dd28df8e21d9077144b963))

## 0.1.0 (2025-04-09)

Full Changelog: [v0.0.1...v0.1.0](https://github.com/steel-dev/steel-python/compare/v0.0.1...v0.1.0)

### Features

* **api:** api update ([#111](https://github.com/steel-dev/steel-python/issues/111)) ([d45bfd1](https://github.com/steel-dev/steel-python/commit/d45bfd199cb99612197ea59b05ea9aba15a6a76d))


### Chores

* fix typos ([#107](https://github.com/steel-dev/steel-python/issues/107)) ([dabc9fe](https://github.com/steel-dev/steel-python/commit/dabc9fe147283ed3bfe85076fdf0267b9b87faef))
* **internal:** remove test without asserts ([#109](https://github.com/steel-dev/steel-python/issues/109)) ([89fd178](https://github.com/steel-dev/steel-python/commit/89fd17829645dcc4aed95e6f78e731eba66e0bfb))
* **internal:** slight transform perf improvement ([#110](https://github.com/steel-dev/steel-python/issues/110)) ([85f6c31](https://github.com/steel-dev/steel-python/commit/85f6c313d9b230d5f38065c0e7ef05c51ed288a7))

## 0.0.1 (2025-03-19)

Full Changelog: [v0.1.0-beta.11...v0.0.1](https://github.com/steel-dev/steel-python/compare/v0.1.0-beta.11...v0.0.1)

### Features

* **api:** api update ([#105](https://github.com/steel-dev/steel-python/issues/105)) ([4b1a78e](https://github.com/steel-dev/steel-python/commit/4b1a78e9fefef1848ceb29e2248bea1469bdcd65))


### Bug Fixes

* **ci:** ensure pip is always available ([#103](https://github.com/steel-dev/steel-python/issues/103)) ([1860732](https://github.com/steel-dev/steel-python/commit/18607326cb37814fef53beffe6e33c3e3063b88a))
* **ci:** remove publishing patch ([#104](https://github.com/steel-dev/steel-python/issues/104)) ([d989ea3](https://github.com/steel-dev/steel-python/commit/d989ea315bdbfe80bfccdd0062688ba733370488))
* **types:** handle more discriminated union shapes ([#102](https://github.com/steel-dev/steel-python/issues/102)) ([abe344f](https://github.com/steel-dev/steel-python/commit/abe344f8bb0d9aa9653338697256238c348738b6))


### Chores

* **internal:** bump rye to 0.44.0 ([#101](https://github.com/steel-dev/steel-python/issues/101)) ([1e457b2](https://github.com/steel-dev/steel-python/commit/1e457b2194838e0b4ee65e649e6ff70e8c483b60))
* **internal:** codegen related update ([#100](https://github.com/steel-dev/steel-python/issues/100)) ([5e997a0](https://github.com/steel-dev/steel-python/commit/5e997a03abbdc56aecd0b91a84944b0f489600f3))
* **internal:** remove extra empty newlines ([#98](https://github.com/steel-dev/steel-python/issues/98)) ([6038058](https://github.com/steel-dev/steel-python/commit/60380587613a26ba0908f32312ce3f2eb7d6a63d))

## 0.1.0-beta.11 (2025-03-11)

Full Changelog: [v0.1.0-beta.10...v0.1.0-beta.11](https://github.com/steel-dev/steel-python/compare/v0.1.0-beta.10...v0.1.0-beta.11)

### Features

* **api:** api update ([#88](https://github.com/steel-dev/steel-python/issues/88)) ([6f17c90](https://github.com/steel-dev/steel-python/commit/6f17c90951089a396c38ff4cbd3922dbd3334635))
* **api:** api update ([#90](https://github.com/steel-dev/steel-python/issues/90)) ([51b3f30](https://github.com/steel-dev/steel-python/commit/51b3f30024583c14ad495f7ec9f12caff70930aa))


### Chores

* **docs:** update client docstring ([#93](https://github.com/steel-dev/steel-python/issues/93)) ([3c539d6](https://github.com/steel-dev/steel-python/commit/3c539d64a4e023d216c5a094e8383112c2d7eb98))
* **internal:** properly set __pydantic_private__ ([#91](https://github.com/steel-dev/steel-python/issues/91)) ([ae9843e](https://github.com/steel-dev/steel-python/commit/ae9843ee79b44edf5e36a393bc310f09a4d36b7c))
* **internal:** remove unused http client options forwarding ([#94](https://github.com/steel-dev/steel-python/issues/94)) ([5f788da](https://github.com/steel-dev/steel-python/commit/5f788da8c132da81757eca0dc3ebd95f97f3ae19))


### Documentation

* revise readme docs about nested params ([#95](https://github.com/steel-dev/steel-python/issues/95)) ([3d889f3](https://github.com/steel-dev/steel-python/commit/3d889f3845419f8c2b53cb217b1acd45f78a1d5f))
* update URLs from stainlessapi.com to stainless.com ([#92](https://github.com/steel-dev/steel-python/issues/92)) ([1c5b479](https://github.com/steel-dev/steel-python/commit/1c5b479568cc888996144b3872f688a6699299bd))

## 0.1.0-beta.10 (2025-02-24)

Full Changelog: [v0.1.0-beta.9...v0.1.0-beta.10](https://github.com/steel-dev/steel-python/compare/v0.1.0-beta.9...v0.1.0-beta.10)

### Features

* **api:** api update ([#86](https://github.com/steel-dev/steel-python/issues/86)) ([f59bdb3](https://github.com/steel-dev/steel-python/commit/f59bdb3f91a45e416a8390ff5940c710558c8d5e))


### Chores

* **internal:** fix devcontainers setup ([#84](https://github.com/steel-dev/steel-python/issues/84)) ([c616d73](https://github.com/steel-dev/steel-python/commit/c616d733f470e2b34e3677f18f2fdb7934f3abc8))

## 0.1.0-beta.9 (2025-02-21)

Full Changelog: [v0.1.0-beta.8...v0.1.0-beta.9](https://github.com/steel-dev/steel-python/compare/v0.1.0-beta.8...v0.1.0-beta.9)

### Features

* **api:** api update ([#82](https://github.com/steel-dev/steel-python/issues/82)) ([c2b468e](https://github.com/steel-dev/steel-python/commit/c2b468ea3fbdd36633d3539fda857164b4407d32))
* **client:** allow passing `NotGiven` for body ([#81](https://github.com/steel-dev/steel-python/issues/81)) ([5634d78](https://github.com/steel-dev/steel-python/commit/5634d78a94c580216e7c2a96a5de34b308320f65))
* **client:** send `X-Stainless-Read-Timeout` header ([#75](https://github.com/steel-dev/steel-python/issues/75)) ([9c82e52](https://github.com/steel-dev/steel-python/commit/9c82e52cac086b4dfef6f4c531990887c0d06cd6))


### Bug Fixes

* asyncify on non-asyncio runtimes ([#79](https://github.com/steel-dev/steel-python/issues/79)) ([5dc2c1e](https://github.com/steel-dev/steel-python/commit/5dc2c1eb47698bce547a4d65899b4723f299b1be))
* **client:** mark some request bodies as optional ([5634d78](https://github.com/steel-dev/steel-python/commit/5634d78a94c580216e7c2a96a5de34b308320f65))


### Chores

* **internal:** bummp ruff dependency ([#73](https://github.com/steel-dev/steel-python/issues/73)) ([549e327](https://github.com/steel-dev/steel-python/commit/549e32725828a1549827a774334e9d5b6efdfc33))
* **internal:** change default timeout to an int ([#72](https://github.com/steel-dev/steel-python/issues/72)) ([571a926](https://github.com/steel-dev/steel-python/commit/571a92692803a75b4a34b80ec76ecd1d75dea899))
* **internal:** fix type traversing dictionary params ([#76](https://github.com/steel-dev/steel-python/issues/76)) ([f116d3d](https://github.com/steel-dev/steel-python/commit/f116d3dba8ae1ca3f576f7f533d2aeb62693b14d))
* **internal:** minor type handling changes ([#77](https://github.com/steel-dev/steel-python/issues/77)) ([f5a1ec4](https://github.com/steel-dev/steel-python/commit/f5a1ec481228186b388cf86b75f0d14c067ad818))
* **internal:** update client tests ([#78](https://github.com/steel-dev/steel-python/issues/78)) ([03074e5](https://github.com/steel-dev/steel-python/commit/03074e5bf7f08e50debff7d7c7ecf78149d8cd8d))
* **internal:** update client tests ([#80](https://github.com/steel-dev/steel-python/issues/80)) ([e076ecf](https://github.com/steel-dev/steel-python/commit/e076ecfa88045ead462069385b8dc07408d85911))

## 0.1.0-beta.8 (2025-01-29)

Full Changelog: [v0.1.0-beta.7...v0.1.0-beta.8](https://github.com/steel-dev/steel-python/compare/v0.1.0-beta.7...v0.1.0-beta.8)

### Features

* **api:** api update ([#70](https://github.com/steel-dev/steel-python/issues/70)) ([b95dc6a](https://github.com/steel-dev/steel-python/commit/b95dc6a091dfc7c87f37cc1f2e082a8e19e2647e))


### Bug Fixes

* reuse model in pagination items type ([#67](https://github.com/steel-dev/steel-python/issues/67)) ([705b3a1](https://github.com/steel-dev/steel-python/commit/705b3a19e770d925255becbe2df22794851d88dd))
* **tests:** make test_get_platform less flaky ([#65](https://github.com/steel-dev/steel-python/issues/65)) ([2e1099d](https://github.com/steel-dev/steel-python/commit/2e1099d1a5cddc55c77ebef8b75a2c4c2d32ba09))


### Chores

* **internal:** avoid pytest-asyncio deprecation warning ([#66](https://github.com/steel-dev/steel-python/issues/66)) ([243f123](https://github.com/steel-dev/steel-python/commit/243f123be684a3fd9860fdd675cd74c6c45e16b5))
* **internal:** codegen related update ([#62](https://github.com/steel-dev/steel-python/issues/62)) ([c6f2f2e](https://github.com/steel-dev/steel-python/commit/c6f2f2e647a6e1d47470ef1938b55da38ac4717c))
* **internal:** codegen related update ([#68](https://github.com/steel-dev/steel-python/issues/68)) ([c9074c4](https://github.com/steel-dev/steel-python/commit/c9074c407d9212a178140fd256736d8d5e73adcb))
* **internal:** minor formatting changes ([#69](https://github.com/steel-dev/steel-python/issues/69)) ([a97c037](https://github.com/steel-dev/steel-python/commit/a97c037f172d5f891885af844584f36d05dcf0fd))


### Documentation

* **raw responses:** fix duplicate `the` ([#64](https://github.com/steel-dev/steel-python/issues/64)) ([7b30e86](https://github.com/steel-dev/steel-python/commit/7b30e86bb645190be2c2a01b80ccad4203944f79))

## 0.1.0-beta.7 (2025-01-10)

Full Changelog: [v0.1.0-beta.6...v0.1.0-beta.7](https://github.com/steel-dev/steel-python/compare/v0.1.0-beta.6...v0.1.0-beta.7)

### Bug Fixes

* correctly handle deserialising `cls` fields ([#60](https://github.com/steel-dev/steel-python/issues/60)) ([cd8bb56](https://github.com/steel-dev/steel-python/commit/cd8bb56b3490f4fd7d819b7c8e4770e65aee75f5))


### Chores

* **internal:** codegen related update ([#59](https://github.com/steel-dev/steel-python/issues/59)) ([ea787f7](https://github.com/steel-dev/steel-python/commit/ea787f7e4e9c074f185ed2f76cf7e95de5a80a91))


### Documentation

* fix typos ([#57](https://github.com/steel-dev/steel-python/issues/57)) ([c51f862](https://github.com/steel-dev/steel-python/commit/c51f86264ecdfb8f006a1b3bcc4c7c0ae47eb8f6))

## 0.1.0-beta.6 (2025-01-08)

Full Changelog: [v0.1.0-beta.5...v0.1.0-beta.6](https://github.com/steel-dev/steel-python/compare/v0.1.0-beta.5...v0.1.0-beta.6)

### Features

* **api:** api update ([#54](https://github.com/steel-dev/steel-python/issues/54)) ([d45a589](https://github.com/steel-dev/steel-python/commit/d45a589c7000321ec776180e1ce8840189f2ee19))


### Bug Fixes

* **client:** only call .close() when needed ([#55](https://github.com/steel-dev/steel-python/issues/55)) ([559ee7a](https://github.com/steel-dev/steel-python/commit/559ee7a0f6271a75a69cec9920d0afa7a30cd62e))


### Chores

* add missing isclass check ([#51](https://github.com/steel-dev/steel-python/issues/51)) ([5728f87](https://github.com/steel-dev/steel-python/commit/5728f875a9f595a0dbfe9f2f1dbc946d25c2534d))
* **internal:** bump httpx dependency ([#53](https://github.com/steel-dev/steel-python/issues/53)) ([861d09c](https://github.com/steel-dev/steel-python/commit/861d09cf6c9ceadf198020f53c971e951863f14b))

## 0.1.0-beta.5 (2025-01-02)

Full Changelog: [v0.1.0-beta.4...v0.1.0-beta.5](https://github.com/steel-dev/steel-python/compare/v0.1.0-beta.4...v0.1.0-beta.5)

### Chores

* **internal:** codegen related update ([#48](https://github.com/steel-dev/steel-python/issues/48)) ([9b03c90](https://github.com/steel-dev/steel-python/commit/9b03c902d371b3109220a3097a0f01bc27084cce))

## 0.1.0-beta.4 (2024-12-19)

Full Changelog: [v0.1.0-beta.3...v0.1.0-beta.4](https://github.com/steel-dev/steel-python/compare/v0.1.0-beta.3...v0.1.0-beta.4)

### Features

* **api:** api update ([#46](https://github.com/steel-dev/steel-python/issues/46)) ([e36aed3](https://github.com/steel-dev/steel-python/commit/e36aed39e8538501b8c7c6c2d731823fd6c48558))


### Chores

* **internal:** add support for TypeAliasType ([#32](https://github.com/steel-dev/steel-python/issues/32)) ([0539c09](https://github.com/steel-dev/steel-python/commit/0539c0913eeda12377ec8ba018327a2c7c445cd2))
* **internal:** bump pydantic dependency ([#28](https://github.com/steel-dev/steel-python/issues/28)) ([ccc5a69](https://github.com/steel-dev/steel-python/commit/ccc5a694dfe0bf763f2e6b0a965c503fb86bea73))
* **internal:** bump pyright ([#31](https://github.com/steel-dev/steel-python/issues/31)) ([bb33e00](https://github.com/steel-dev/steel-python/commit/bb33e006c3144c118ce015e7aa19d406d8092da0))
* **internal:** codegen related update ([#33](https://github.com/steel-dev/steel-python/issues/33)) ([2e62e96](https://github.com/steel-dev/steel-python/commit/2e62e966b61141087ee977c448a9663977eb3e9d))
* **internal:** codegen related update ([#34](https://github.com/steel-dev/steel-python/issues/34)) ([f2ebab8](https://github.com/steel-dev/steel-python/commit/f2ebab8c24a9c7c79ba5faf66521c4ef2ff38bd1))
* **internal:** codegen related update ([#35](https://github.com/steel-dev/steel-python/issues/35)) ([3aa860b](https://github.com/steel-dev/steel-python/commit/3aa860b7b0ca13ec2c04fbad7cd413a901fb2f8b))
* **internal:** codegen related update ([#36](https://github.com/steel-dev/steel-python/issues/36)) ([f6aecb1](https://github.com/steel-dev/steel-python/commit/f6aecb11f7857316ca05a9244b4af5b298350d47))
* **internal:** codegen related update ([#37](https://github.com/steel-dev/steel-python/issues/37)) ([5b3c70d](https://github.com/steel-dev/steel-python/commit/5b3c70d501afee44ed2517ef6aceb8bc1f09e67f))
* **internal:** codegen related update ([#40](https://github.com/steel-dev/steel-python/issues/40)) ([8aa7cf3](https://github.com/steel-dev/steel-python/commit/8aa7cf3139172874c1979d808be6c74602d29c32))
* **internal:** codegen related update ([#41](https://github.com/steel-dev/steel-python/issues/41)) ([d41eef3](https://github.com/steel-dev/steel-python/commit/d41eef330fd65097723ea61bdeaaca3078f63f8f))
* **internal:** codegen related update ([#42](https://github.com/steel-dev/steel-python/issues/42)) ([6407dff](https://github.com/steel-dev/steel-python/commit/6407dffb70c2004231e34cbb37857883175af534))
* **internal:** codegen related update ([#43](https://github.com/steel-dev/steel-python/issues/43)) ([e0fe5f3](https://github.com/steel-dev/steel-python/commit/e0fe5f387d73c6ec7d3cacccd2df7a6304831802))
* **internal:** codegen related update ([#44](https://github.com/steel-dev/steel-python/issues/44)) ([fd3e1f0](https://github.com/steel-dev/steel-python/commit/fd3e1f0081e43f8a9ff886b2e0c3a62e9ef81e39))
* **internal:** codegen related update ([#45](https://github.com/steel-dev/steel-python/issues/45)) ([2e0dd7a](https://github.com/steel-dev/steel-python/commit/2e0dd7aaa142ac56b31a428d9b6105fe4965dd8e))
* **internal:** fix some typos ([#39](https://github.com/steel-dev/steel-python/issues/39)) ([94af0f4](https://github.com/steel-dev/steel-python/commit/94af0f4f10fb0e3c76a8b54098c9f6f0735b1ae1))


### Documentation

* **readme:** example snippet for client context manager ([#38](https://github.com/steel-dev/steel-python/issues/38)) ([56a0b13](https://github.com/steel-dev/steel-python/commit/56a0b1338df0f04de9eb39e0f3d94e6a69893eb9))
* **readme:** fix http client proxies example ([#30](https://github.com/steel-dev/steel-python/issues/30)) ([2dc1f98](https://github.com/steel-dev/steel-python/commit/2dc1f9867dc2403b227d264782dee8286501b1d1))

## 0.1.0-beta.3 (2024-12-04)

Full Changelog: [v0.1.0-beta.2...v0.1.0-beta.3](https://github.com/steel-dev/steel-python/compare/v0.1.0-beta.2...v0.1.0-beta.3)

### Features

* **api:** api update ([#25](https://github.com/steel-dev/steel-python/issues/25)) ([afaacf2](https://github.com/steel-dev/steel-python/commit/afaacf24ab9cea5ff19cef2f06e2c568d8635455))


### Chores

* **internal:** bump pyright ([#23](https://github.com/steel-dev/steel-python/issues/23)) ([d14f731](https://github.com/steel-dev/steel-python/commit/d14f731923c36e9b1323cff63d3f90a9e1ccba3a))
* make the `Omit` type public ([#26](https://github.com/steel-dev/steel-python/issues/26)) ([2901611](https://github.com/steel-dev/steel-python/commit/29016116dd220d227f907865023f6c5e4be499f6))

## 0.1.0-beta.2 (2024-11-28)

Full Changelog: [v0.1.0-beta.1...v0.1.0-beta.2](https://github.com/steel-dev/steel-python/compare/v0.1.0-beta.1...v0.1.0-beta.2)

### Bug Fixes

* **client:** compat with new httpx 0.28.0 release ([#21](https://github.com/steel-dev/steel-python/issues/21)) ([91f80cc](https://github.com/steel-dev/steel-python/commit/91f80cc77f003c87b89e521ba56d96dc795fa072))


### Chores

* **internal:** codegen related update ([#18](https://github.com/steel-dev/steel-python/issues/18)) ([264d442](https://github.com/steel-dev/steel-python/commit/264d4425bf0171dcc492cc33a8fdc99d5d380c74))
* **internal:** exclude mypy from running on tests ([#20](https://github.com/steel-dev/steel-python/issues/20)) ([2d4a38d](https://github.com/steel-dev/steel-python/commit/2d4a38d2616354f58237d78e667eb20a907a85b5))
* rebuild project due to codegen change ([#12](https://github.com/steel-dev/steel-python/issues/12)) ([c49b406](https://github.com/steel-dev/steel-python/commit/c49b406ba78c6fb4b17b015f5d294963608e6313))
* rebuild project due to codegen change ([#14](https://github.com/steel-dev/steel-python/issues/14)) ([1ab28ec](https://github.com/steel-dev/steel-python/commit/1ab28ec28acc64043324e900af87b6b5ee558f64))
* rebuild project due to codegen change ([#15](https://github.com/steel-dev/steel-python/issues/15)) ([60da75c](https://github.com/steel-dev/steel-python/commit/60da75c9b364810fe905a63de28b6259e3e767bd))
* rebuild project due to codegen change ([#16](https://github.com/steel-dev/steel-python/issues/16)) ([f0f9386](https://github.com/steel-dev/steel-python/commit/f0f9386b4f2e0611a976b89abdc039beae7c96e5))
* rebuild project due to codegen change ([#17](https://github.com/steel-dev/steel-python/issues/17)) ([dcfc0ea](https://github.com/steel-dev/steel-python/commit/dcfc0eaa856de36448880ff079bf24a73ce12637))
* remove now unused `cached-property` dep ([#19](https://github.com/steel-dev/steel-python/issues/19)) ([c65914b](https://github.com/steel-dev/steel-python/commit/c65914babf7987c2cc2ba6e809f70f70163b3f26))

## 0.1.0-beta.1 (2024-11-07)

Full Changelog: [v0.0.1-beta.5...v0.1.0-beta.1](https://github.com/steel-dev/steel-python/compare/v0.0.1-beta.5...v0.1.0-beta.1)

### Features

* **api:** api update ([#9](https://github.com/steel-dev/steel-python/issues/9)) ([55ecf2f](https://github.com/steel-dev/steel-python/commit/55ecf2f6dea0fa2985c83dd9c73dcf3a85a9312f))

## 0.0.1-beta.5 (2024-11-07)

Full Changelog: [v0.1.0-alpha.4...v0.0.1-beta.5](https://github.com/steel-dev/steel-python/compare/v0.1.0-alpha.4...v0.0.1-beta.5)

### Features

* **api:** api update ([#1](https://github.com/steel-dev/steel-python/issues/1)) ([d82690c](https://github.com/steel-dev/steel-python/commit/d82690c0b78183154ee71e90815f8b1a721063ea))
* **api:** api update ([#5](https://github.com/steel-dev/steel-python/issues/5)) ([479c65e](https://github.com/steel-dev/steel-python/commit/479c65e8d3cac5a4f85454f6aff3406e66da734b))
* **api:** api update ([#6](https://github.com/steel-dev/steel-python/issues/6)) ([63a57ce](https://github.com/steel-dev/steel-python/commit/63a57cee05206144623ac592ef97c5955093de8c))
* **api:** update via SDK Studio ([1e795e9](https://github.com/steel-dev/steel-python/commit/1e795e98b6aab5788a432c48722dac051b67d0fe))
* **api:** update via SDK Studio ([8b3ef90](https://github.com/steel-dev/steel-python/commit/8b3ef90ad0d0798dec9459fe833ef83303610c20))
* **api:** update via SDK Studio ([cbc5172](https://github.com/steel-dev/steel-python/commit/cbc51725f751eafac1571b97228a0dfe3b373591))
* **api:** update via SDK Studio ([7b8d7ef](https://github.com/steel-dev/steel-python/commit/7b8d7ef51e06614fa32b418ac7f43834ede2b02e))
* **api:** update via SDK Studio ([0135328](https://github.com/steel-dev/steel-python/commit/01353289da6794a0969671adbceac5b05e2aa5fd))
* **api:** update via SDK Studio ([c634859](https://github.com/steel-dev/steel-python/commit/c6348592bba828b1f826dac029d4de7166a0df50))
* **api:** update via SDK Studio ([0a43c36](https://github.com/steel-dev/steel-python/commit/0a43c360499418b59b30d58efbd5c966786eebfd))
* **api:** update via SDK Studio ([3a652a0](https://github.com/steel-dev/steel-python/commit/3a652a052af5012743e60bc4b9e471e3b7d8d869))
* **api:** update via SDK Studio ([06f1dc8](https://github.com/steel-dev/steel-python/commit/06f1dc8449e5d30a64c61697d17fb6fc66985322))
* **api:** update via SDK Studio ([a87eac4](https://github.com/steel-dev/steel-python/commit/a87eac41d59bde68e68205600cd4d312391d726f))
* **api:** update via SDK Studio ([61c5f16](https://github.com/steel-dev/steel-python/commit/61c5f168e412bf5449fd32dbb11ccb6c8ddb6f34))
* **api:** update via SDK Studio ([e64a35b](https://github.com/steel-dev/steel-python/commit/e64a35b2e9003ed375618bd9edad5f47fe6f271c))
* **api:** update via SDK Studio ([449f1df](https://github.com/steel-dev/steel-python/commit/449f1dfe6371c687182cb37d3769b36789fbba09))
* **api:** update via SDK Studio ([0f73613](https://github.com/steel-dev/steel-python/commit/0f7361350eef43be2997a8350eab56029ec5de1d))
* **api:** update via SDK Studio ([a3f8239](https://github.com/steel-dev/steel-python/commit/a3f8239216c6069cdad9032325e57b2eed033659))
* **api:** update via SDK Studio ([dbc2f92](https://github.com/steel-dev/steel-python/commit/dbc2f92ee66b004c7298816d5d09d320bf49017b))
* **api:** update via SDK Studio ([a1ed364](https://github.com/steel-dev/steel-python/commit/a1ed364ea8ae379fb1678adcbdf641f09cc2c147))
* **api:** update via SDK Studio ([f4c745b](https://github.com/steel-dev/steel-python/commit/f4c745b74dba6999e2eea4e6638e35c747b8445f))
* **api:** update via SDK Studio ([#5](https://github.com/steel-dev/steel-python/issues/5)) ([5e0fc94](https://github.com/steel-dev/steel-python/commit/5e0fc948e5ce326fd5bf4c1f8290715112dae22b))
* **api:** update via SDK Studio ([#8](https://github.com/steel-dev/steel-python/issues/8)) ([0fdd07e](https://github.com/steel-dev/steel-python/commit/0fdd07e29f37234d714b07ce83ea8148ca9cffcb))
* **client:** add `retry_count` to raw response class ([8786acf](https://github.com/steel-dev/steel-python/commit/8786acf5086db76769d7a10eeee2394bca82e15b))


### Chores

* **ci:** also run pydantic v1 tests ([d79f6be](https://github.com/steel-dev/steel-python/commit/d79f6be414bcfd88694fd0f7c69bc5e12ad8e666))
* **client:** fix parsing union responses when non-json is returned ([a852365](https://github.com/steel-dev/steel-python/commit/a85236511a936a32ca615eab90a3c132e2a65e7b))
* configure new SDK language ([09244a4](https://github.com/steel-dev/steel-python/commit/09244a41af0bd482602baec0d965c01565cb14fa))
* go live ([#1](https://github.com/steel-dev/steel-python/issues/1)) ([9b221cb](https://github.com/steel-dev/steel-python/commit/9b221cb86247911a7917518478e17f3ed605d5d2))
* **internal:** add support for parsing bool response content ([6ce6439](https://github.com/steel-dev/steel-python/commit/6ce643954e33f0b36589d20325f660ef6bd7920d))
* **internal:** bump pyright ([db73196](https://github.com/steel-dev/steel-python/commit/db73196aadb340c6685519ca78500586ffa709ca))
* **internal:** codegen related update ([7161529](https://github.com/steel-dev/steel-python/commit/71615290c3c33d5aebb6076a342348d0868ed7e8))
* **internal:** codegen related update ([fc0a10c](https://github.com/steel-dev/steel-python/commit/fc0a10cf8282f03d6ba8c0a74190169424e56b04))
* **internal:** codegen related update ([f1a182e](https://github.com/steel-dev/steel-python/commit/f1a182e112585a5b7f768a55ce510c85baca4a46))
* **internal:** codegen related update ([d8c8d2a](https://github.com/steel-dev/steel-python/commit/d8c8d2ad302d41f083452b83e7b1361fa595e7d0))
* **internal:** codegen related update ([e2bcc9f](https://github.com/steel-dev/steel-python/commit/e2bcc9fd41f0400ccd4433deb7674f4b0786e2b0))
* **internal:** test updates ([a64fbb9](https://github.com/steel-dev/steel-python/commit/a64fbb984f790e95f8d7da963fbf70889f23887a))
* update SDK settings ([#3](https://github.com/steel-dev/steel-python/issues/3)) ([db4a74c](https://github.com/steel-dev/steel-python/commit/db4a74cbf541d0277c7e62c32320ea90558e56de))
* update SDK settings ([#7](https://github.com/steel-dev/steel-python/issues/7)) ([7887d28](https://github.com/steel-dev/steel-python/commit/7887d287a780d4930c71e223f653860cae64974e))

## 0.1.0-alpha.4 (2024-10-16)

Full Changelog: [v0.1.0-alpha.3...v0.1.0-alpha.4](https://github.com/steel-dev/steel-python/compare/v0.1.0-alpha.3...v0.1.0-alpha.4)

### Features

* **api:** api update ([#1](https://github.com/steel-dev/steel-python/issues/1)) ([d82690c](https://github.com/steel-dev/steel-python/commit/d82690c0b78183154ee71e90815f8b1a721063ea))

## 0.1.0-alpha.3 (2024-10-06)

Full Changelog: [v0.1.0-alpha.2...v0.1.0-alpha.3](https://github.com/0xnenlabs/steel-python/compare/v0.1.0-alpha.2...v0.1.0-alpha.3)

### Features

* **api:** update via SDK Studio ([#8](https://github.com/0xnenlabs/steel-python/issues/8)) ([0fdd07e](https://github.com/0xnenlabs/steel-python/commit/0fdd07e29f37234d714b07ce83ea8148ca9cffcb))

## 0.1.0-alpha.2 (2024-10-06)

Full Changelog: [v0.1.0-alpha.1...v0.1.0-alpha.2](https://github.com/0xnenlabs/steel-python/compare/v0.1.0-alpha.1...v0.1.0-alpha.2)

### Features

* **api:** update via SDK Studio ([#5](https://github.com/0xnenlabs/steel-python/issues/5)) ([5e0fc94](https://github.com/0xnenlabs/steel-python/commit/5e0fc948e5ce326fd5bf4c1f8290715112dae22b))

## 0.1.0-alpha.1 (2024-10-06)

Full Changelog: [v0.0.1-alpha.0...v0.1.0-alpha.1](https://github.com/0xnenlabs/steel-python/compare/v0.0.1-alpha.0...v0.1.0-alpha.1)

### Features

* **api:** update via SDK Studio ([1e795e9](https://github.com/0xnenlabs/steel-python/commit/1e795e98b6aab5788a432c48722dac051b67d0fe))
* **api:** update via SDK Studio ([8b3ef90](https://github.com/0xnenlabs/steel-python/commit/8b3ef90ad0d0798dec9459fe833ef83303610c20))
* **api:** update via SDK Studio ([cbc5172](https://github.com/0xnenlabs/steel-python/commit/cbc51725f751eafac1571b97228a0dfe3b373591))
* **api:** update via SDK Studio ([7b8d7ef](https://github.com/0xnenlabs/steel-python/commit/7b8d7ef51e06614fa32b418ac7f43834ede2b02e))
* **api:** update via SDK Studio ([0135328](https://github.com/0xnenlabs/steel-python/commit/01353289da6794a0969671adbceac5b05e2aa5fd))
* **api:** update via SDK Studio ([c634859](https://github.com/0xnenlabs/steel-python/commit/c6348592bba828b1f826dac029d4de7166a0df50))
* **api:** update via SDK Studio ([0a43c36](https://github.com/0xnenlabs/steel-python/commit/0a43c360499418b59b30d58efbd5c966786eebfd))
* **api:** update via SDK Studio ([3a652a0](https://github.com/0xnenlabs/steel-python/commit/3a652a052af5012743e60bc4b9e471e3b7d8d869))
* **api:** update via SDK Studio ([06f1dc8](https://github.com/0xnenlabs/steel-python/commit/06f1dc8449e5d30a64c61697d17fb6fc66985322))
* **api:** update via SDK Studio ([a87eac4](https://github.com/0xnenlabs/steel-python/commit/a87eac41d59bde68e68205600cd4d312391d726f))
* **api:** update via SDK Studio ([61c5f16](https://github.com/0xnenlabs/steel-python/commit/61c5f168e412bf5449fd32dbb11ccb6c8ddb6f34))
* **api:** update via SDK Studio ([e64a35b](https://github.com/0xnenlabs/steel-python/commit/e64a35b2e9003ed375618bd9edad5f47fe6f271c))
* **api:** update via SDK Studio ([449f1df](https://github.com/0xnenlabs/steel-python/commit/449f1dfe6371c687182cb37d3769b36789fbba09))
* **api:** update via SDK Studio ([0f73613](https://github.com/0xnenlabs/steel-python/commit/0f7361350eef43be2997a8350eab56029ec5de1d))
* **api:** update via SDK Studio ([a3f8239](https://github.com/0xnenlabs/steel-python/commit/a3f8239216c6069cdad9032325e57b2eed033659))
* **api:** update via SDK Studio ([dbc2f92](https://github.com/0xnenlabs/steel-python/commit/dbc2f92ee66b004c7298816d5d09d320bf49017b))
* **api:** update via SDK Studio ([a1ed364](https://github.com/0xnenlabs/steel-python/commit/a1ed364ea8ae379fb1678adcbdf641f09cc2c147))
* **api:** update via SDK Studio ([f4c745b](https://github.com/0xnenlabs/steel-python/commit/f4c745b74dba6999e2eea4e6638e35c747b8445f))
* **client:** add `retry_count` to raw response class ([8786acf](https://github.com/0xnenlabs/steel-python/commit/8786acf5086db76769d7a10eeee2394bca82e15b))


### Chores

* **ci:** also run pydantic v1 tests ([d79f6be](https://github.com/0xnenlabs/steel-python/commit/d79f6be414bcfd88694fd0f7c69bc5e12ad8e666))
* **client:** fix parsing union responses when non-json is returned ([a852365](https://github.com/0xnenlabs/steel-python/commit/a85236511a936a32ca615eab90a3c132e2a65e7b))
* configure new SDK language ([09244a4](https://github.com/0xnenlabs/steel-python/commit/09244a41af0bd482602baec0d965c01565cb14fa))
* go live ([#1](https://github.com/0xnenlabs/steel-python/issues/1)) ([9b221cb](https://github.com/0xnenlabs/steel-python/commit/9b221cb86247911a7917518478e17f3ed605d5d2))
* **internal:** add support for parsing bool response content ([6ce6439](https://github.com/0xnenlabs/steel-python/commit/6ce643954e33f0b36589d20325f660ef6bd7920d))
* **internal:** bump pyright ([db73196](https://github.com/0xnenlabs/steel-python/commit/db73196aadb340c6685519ca78500586ffa709ca))
* **internal:** codegen related update ([7161529](https://github.com/0xnenlabs/steel-python/commit/71615290c3c33d5aebb6076a342348d0868ed7e8))
* **internal:** codegen related update ([fc0a10c](https://github.com/0xnenlabs/steel-python/commit/fc0a10cf8282f03d6ba8c0a74190169424e56b04))
* **internal:** codegen related update ([f1a182e](https://github.com/0xnenlabs/steel-python/commit/f1a182e112585a5b7f768a55ce510c85baca4a46))
* **internal:** codegen related update ([d8c8d2a](https://github.com/0xnenlabs/steel-python/commit/d8c8d2ad302d41f083452b83e7b1361fa595e7d0))
* **internal:** codegen related update ([e2bcc9f](https://github.com/0xnenlabs/steel-python/commit/e2bcc9fd41f0400ccd4433deb7674f4b0786e2b0))
* **internal:** test updates ([a64fbb9](https://github.com/0xnenlabs/steel-python/commit/a64fbb984f790e95f8d7da963fbf70889f23887a))
* update SDK settings ([#3](https://github.com/0xnenlabs/steel-python/issues/3)) ([db4a74c](https://github.com/0xnenlabs/steel-python/commit/db4a74cbf541d0277c7e62c32320ea90558e56de))
